using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new ObservableCollection<object>(from i in Enumerable.Range(0, 100) select new { ID = i, Name = string.Format("Name{0}", i) });
        }
    }
}
